# Adapt a vehicle to the roof system

{% embed url="<https://www.youtube.com/watch?v=Y-lpSv0Tqd8>" %}

{% hint style="danger" %}
We do not provide support for the use of zModeler
{% endhint %}

Here's a video example of how to adapt a vehicle to the roof system

```
point_fl -- front left
point_fr -- front right
point_bl -- rear left
point_br -- rear right
```

Here are the bone names to add to the vehicle:

Don't forget to modify the configuration by adding the vehicle with the extra number

```
brokenDoorRequired = {}
```

The above variable is designed for vehicles where the trunk is connected to the roof, requiring the player to cut the trunk before being able to cut the roof.

```
VEH_EXT_DOOR_DSIDE_F = 0,
VEH_EXT_DOOR_DSIDE_R = 1,
VEH_EXT_DOOR_PSIDE_F = 2,
VEH_EXT_DOOR_PSIDE_R = 3,
VEH_EXT_BONNET = 4,
VEH_EXT_BOOT = 5,
```

Here are the IDs of the various possible doors to put in the brokenDoorRequired variable


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rytrak.fr/scripts/advanced-extrication-system/adapt-a-vehicle-to-the-roof-system.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
